Workaround for the Mac OS X usage of umfpack
[scilab.git] / scilab / modules / umfpack / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
20 # Copyright (C) 2008 - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__make_dryrun = \
47   { \
48     am__dry=no; \
49     case $$MAKEFLAGS in \
50       *\\[\ \   ]*) \
51         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
52           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
53       *) \
54         for am__flg in $$MAKEFLAGS; do \
55           case $$am__flg in \
56             *=*|--*) ;; \
57             *n*) am__dry=yes; break;; \
58           esac; \
59         done;; \
60     esac; \
61     test $$am__dry = yes; \
62   }
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 build_triplet = @build@
80 host_triplet = @host@
81 @UMFPACK_TRUE@am__append_1 = $(UMFPACK_LIB)
82 @IS_MACOSX_TRUE@@UMFPACK_TRUE@am__append_2 = -lcholmod -lcolamd
83 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
84         $(top_srcdir)/Makefile.incl.am
85 @NEED_JAVA_TRUE@am__append_3 = java
86 subdir = modules/umfpack
87 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
88 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
89         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
90         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
91         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
92         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
93         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
94         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
95         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
96         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
97         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
98         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
99         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
100         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
101         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
102         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
103         $(top_srcdir)/configure.ac
104 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105         $(ACLOCAL_M4)
106 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
107 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
108 CONFIG_CLEAN_FILES =
109 CONFIG_CLEAN_VPATH_FILES =
110 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
111 am__vpath_adj = case $$p in \
112     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
113     *) f=$$p;; \
114   esac;
115 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
116 am__install_max = 40
117 am__nobase_strip_setup = \
118   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
119 am__nobase_strip = \
120   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
121 am__nobase_list = $(am__nobase_strip_setup); \
122   for p in $$list; do echo "$$p $$p"; done | \
123   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
124   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
125     if (++n[$$2] == $(am__install_max)) \
126       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
127     END { for (dir in files) print dir, files[dir] }'
128 am__base_list = \
129   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
130   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
131 am__uninstall_files_from_dir = { \
132   test -z "$$files" \
133     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
134     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
135          $(am__cd) "$$dir" && rm -f $$files; }; \
136   }
137 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
138         "$(DESTDIR)$(libsciumfpack_la_etcdir)" \
139         "$(DESTDIR)$(libsciumfpack_la_rootdir)" \
140         "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"
141 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
142 libsciumfpack_algo_la_LIBADD =
143 am__libsciumfpack_algo_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
144         src/c/taucs_scilab.c src/c/common_umfpack.c \
145         src/c/with_umfpack.c
146 @UMFPACK_FALSE@am__objects_1 = libsciumfpack_algo_la-noumfpack.lo
147 @UMFPACK_TRUE@am__objects_1 = libsciumfpack_algo_la-taucs_scilab.lo \
148 @UMFPACK_TRUE@  libsciumfpack_algo_la-common_umfpack.lo \
149 @UMFPACK_TRUE@  libsciumfpack_algo_la-with_umfpack.lo
150 @UMFPACK_TRUE@am_libsciumfpack_algo_la_OBJECTS = $(am__objects_1)
151 libsciumfpack_algo_la_OBJECTS = $(am_libsciumfpack_algo_la_OBJECTS)
152 @UMFPACK_TRUE@am_libsciumfpack_algo_la_rpath =
153 @UMFPACK_TRUE@libsciumfpack_la_DEPENDENCIES = libsciumfpack-algo.la
154 am__libsciumfpack_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
155         src/c/taucs_scilab.c src/c/common_umfpack.c \
156         src/c/with_umfpack.c sci_gateway/c/gw_umfpack.c \
157         sci_gateway/c/sci_res_with_prec.c \
158         sci_gateway/c/sci_taucs_chdel.c \
159         sci_gateway/c/sci_taucs_chfact.c \
160         sci_gateway/c/sci_taucs_chget.c \
161         sci_gateway/c/sci_taucs_chinfo.c \
162         sci_gateway/c/sci_taucs_chsolve.c \
163         sci_gateway/c/sci_umf_ludel.c sci_gateway/c/sci_umf_lufact.c \
164         sci_gateway/c/sci_umf_luget.c sci_gateway/c/sci_umf_luinfo.c \
165         sci_gateway/c/sci_umf_lusolve.c sci_gateway/c/sci_umfpack.c
166 @UMFPACK_FALSE@am__objects_2 = libsciumfpack_la-noumfpack.lo
167 @UMFPACK_TRUE@am__objects_2 = libsciumfpack_la-taucs_scilab.lo \
168 @UMFPACK_TRUE@  libsciumfpack_la-common_umfpack.lo \
169 @UMFPACK_TRUE@  libsciumfpack_la-with_umfpack.lo
170 @UMFPACK_TRUE@am__objects_3 = libsciumfpack_la-gw_umfpack.lo \
171 @UMFPACK_TRUE@  libsciumfpack_la-sci_res_with_prec.lo \
172 @UMFPACK_TRUE@  libsciumfpack_la-sci_taucs_chdel.lo \
173 @UMFPACK_TRUE@  libsciumfpack_la-sci_taucs_chfact.lo \
174 @UMFPACK_TRUE@  libsciumfpack_la-sci_taucs_chget.lo \
175 @UMFPACK_TRUE@  libsciumfpack_la-sci_taucs_chinfo.lo \
176 @UMFPACK_TRUE@  libsciumfpack_la-sci_taucs_chsolve.lo \
177 @UMFPACK_TRUE@  libsciumfpack_la-sci_umf_ludel.lo \
178 @UMFPACK_TRUE@  libsciumfpack_la-sci_umf_lufact.lo \
179 @UMFPACK_TRUE@  libsciumfpack_la-sci_umf_luget.lo \
180 @UMFPACK_TRUE@  libsciumfpack_la-sci_umf_luinfo.lo \
181 @UMFPACK_TRUE@  libsciumfpack_la-sci_umf_lusolve.lo \
182 @UMFPACK_TRUE@  libsciumfpack_la-sci_umfpack.lo
183 @UMFPACK_FALSE@am_libsciumfpack_la_OBJECTS = $(am__objects_2)
184 @UMFPACK_TRUE@am_libsciumfpack_la_OBJECTS = $(am__objects_3)
185 libsciumfpack_la_OBJECTS = $(am_libsciumfpack_la_OBJECTS)
186 libsciumfpack_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
187         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
188         $(libsciumfpack_la_LDFLAGS) $(LDFLAGS) -o $@
189 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
190 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
191 am__depfiles_maybe = depfiles
192 am__mv = mv -f
193 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
194         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
195 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
196         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
197         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
198 CCLD = $(CC)
199 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
200         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
201         $(LDFLAGS) -o $@
202 SOURCES = $(libsciumfpack_algo_la_SOURCES) $(libsciumfpack_la_SOURCES)
203 DIST_SOURCES = $(am__libsciumfpack_algo_la_SOURCES_DIST) \
204         $(am__libsciumfpack_la_SOURCES_DIST)
205 am__can_run_installinfo = \
206   case $$AM_UPDATE_INFO_DIR in \
207     n|no|NO) false;; \
208     *) (install-info --version) >/dev/null 2>&1;; \
209   esac
210 DATA = $(libsciumfpack_la_etc_DATA) $(libsciumfpack_la_root_DATA) \
211         $(libsciumfpack_la_sci_gateway_DATA)
212 ETAGS = etags
213 CTAGS = ctags
214 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
215 ACLOCAL = @ACLOCAL@
216 ALL_LINGUAS = @ALL_LINGUAS@
217 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
218 AMTAR = @AMTAR@
219 ANT = @ANT@
220 ANTLR = @ANTLR@
221 AR = @AR@
222 ARPACK_LIBS = @ARPACK_LIBS@
223 ASM3 = @ASM3@
224 AUTOCONF = @AUTOCONF@
225 AUTOHEADER = @AUTOHEADER@
226 AUTOMAKE = @AUTOMAKE@
227 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
228 AWK = @AWK@
229 BATIK = @BATIK@
230 BLAS_LIBS = @BLAS_LIBS@
231 CC = @CC@
232 CCACHE = @CCACHE@
233 CCDEPMODE = @CCDEPMODE@
234 CFLAGS = @CFLAGS@
235 CHECKSTYLE = @CHECKSTYLE@
236 COBERTURA = @COBERTURA@
237 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
238 COMMONS_IO = @COMMONS_IO@
239 COMMONS_LOGGING = @COMMONS_LOGGING@
240 CPP = @CPP@
241 CPPFLAGS = @CPPFLAGS@
242 CXX = @CXX@
243 CXXCPP = @CXXCPP@
244 CXXDEPMODE = @CXXDEPMODE@
245 CXXFLAGS = @CXXFLAGS@
246 CYGPATH_W = @CYGPATH_W@
247 DEFS = @DEFS@
248 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
249 DEPDIR = @DEPDIR@
250 DOCBOOK_ROOT = @DOCBOOK_ROOT@
251 DOXYGEN_BIN = @DOXYGEN_BIN@
252 DSYMUTIL = @DSYMUTIL@
253 DUMPBIN = @DUMPBIN@
254 ECHO_C = @ECHO_C@
255 ECHO_N = @ECHO_N@
256 ECHO_T = @ECHO_T@
257 EGREP = @EGREP@
258 EXEEXT = @EXEEXT@
259 F77 = @F77@
260 FFLAGS = @FFLAGS@
261 FFTW3_LIB = @FFTW3_LIB@
262 FFTW_ENABLE = @FFTW_ENABLE@
263 FGREP = @FGREP@
264 FLEXDOCK = @FLEXDOCK@
265 FLIBS = @FLIBS@
266 FOP = @FOP@
267 GENHTML = @GENHTML@
268 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
269 GIWS_BIN = @GIWS_BIN@
270 GLUEGEN2_RT = @GLUEGEN2_RT@
271 GMSGFMT = @GMSGFMT@
272 GMSGFMT_015 = @GMSGFMT_015@
273 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
274 GREP = @GREP@
275 GUI_ENABLE = @GUI_ENABLE@
276 HDF5_CFLAGS = @HDF5_CFLAGS@
277 HDF5_LIBS = @HDF5_LIBS@
278 HELP_ENABLE = @HELP_ENABLE@
279 INSTALL = @INSTALL@
280 INSTALL_DATA = @INSTALL_DATA@
281 INSTALL_PROGRAM = @INSTALL_PROGRAM@
282 INSTALL_SCRIPT = @INSTALL_SCRIPT@
283 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
284 INTLLIBS = @INTLLIBS@
285 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
286 JAR = @JAR@
287 JAVA = @JAVA@
288 JAVAC = @JAVAC@
289 JAVAC_DEBUG = @JAVAC_DEBUG@
290 JAVADOC = @JAVADOC@
291 JAVAH = @JAVAH@
292 JAVASCI_ENABLE = @JAVASCI_ENABLE@
293 JAVA_ENABLE = @JAVA_ENABLE@
294 JAVA_G = @JAVA_G@
295 JAVA_HOME = @JAVA_HOME@
296 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
297 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
298 JDB = @JDB@
299 JEUCLID_CORE = @JEUCLID_CORE@
300 JGRAPHX = @JGRAPHX@
301 JHALL = @JHALL@
302 JLATEXMATH = @JLATEXMATH@
303 JLATEXMATH_FOP = @JLATEXMATH_FOP@
304 JOGL2 = @JOGL2@
305 JROSETTA_API = @JROSETTA_API@
306 JROSETTA_ENGINE = @JROSETTA_ENGINE@
307 JUNIT4 = @JUNIT4@
308 LAPACK_LIBS = @LAPACK_LIBS@
309 LCOV = @LCOV@
310 LD = @LD@
311 LDFLAGS = @LDFLAGS@
312 LIBICONV = @LIBICONV@
313 LIBINTL = @LIBINTL@
314 LIBM = @LIBM@
315 LIBOBJS = @LIBOBJS@
316 LIBS = @LIBS@
317 LIBTOOL = @LIBTOOL@
318 LIPO = @LIPO@
319 LN_S = @LN_S@
320 LOGGING_LEVEL = @LOGGING_LEVEL@
321 LOOKS = @LOOKS@
322 LTLIBICONV = @LTLIBICONV@
323 LTLIBINTL = @LTLIBINTL@
324 LTLIBOBJS = @LTLIBOBJS@
325 MAINT = @MAINT@
326 MAKEINFO = @MAKEINFO@
327 MATIO_CFLAGS = @MATIO_CFLAGS@
328 MATIO_ENABLE = @MATIO_ENABLE@
329 MATIO_LIBS = @MATIO_LIBS@
330 MKDIR_P = @MKDIR_P@
331 MSGCAT = @MSGCAT@
332 MSGFMT = @MSGFMT@
333 MSGFMT_015 = @MSGFMT_015@
334 MSGMERGE = @MSGMERGE@
335 NM = @NM@
336 NMEDIT = @NMEDIT@
337 OBJDUMP = @OBJDUMP@
338 OBJEXT = @OBJEXT@
339 OCAMLC = @OCAMLC@
340 OCAMLDEP = @OCAMLDEP@
341 OCAMLLEX = @OCAMLLEX@
342 OCAMLOPT = @OCAMLOPT@
343 OCAMLYACC = @OCAMLYACC@
344 OPENMP_CFLAGS = @OPENMP_CFLAGS@
345 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
346 OPENMP_ENABLE = @OPENMP_ENABLE@
347 OPENMP_LIBS = @OPENMP_LIBS@
348 OTOOL = @OTOOL@
349 OTOOL64 = @OTOOL64@
350 PACKAGE = @PACKAGE@
351 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
352 PACKAGE_NAME = @PACKAGE_NAME@
353 PACKAGE_STRING = @PACKAGE_STRING@
354 PACKAGE_TARNAME = @PACKAGE_TARNAME@
355 PACKAGE_URL = @PACKAGE_URL@
356 PACKAGE_VERSION = @PACKAGE_VERSION@
357 PATH_SEPARATOR = @PATH_SEPARATOR@
358 PCRE_CFLAGS = @PCRE_CFLAGS@
359 PCRE_CONFIG = @PCRE_CONFIG@
360 PCRE_LIBS = @PCRE_LIBS@
361 PCRE_VERSION = @PCRE_VERSION@
362 PKG_CONFIG = @PKG_CONFIG@
363 POSUB = @POSUB@
364 POW_LIB = @POW_LIB@
365 PYTHON = @PYTHON@
366 RANLIB = @RANLIB@
367 RELOCATABLE = @RELOCATABLE@
368 RT_LIB = @RT_LIB@
369 SAXON = @SAXON@
370 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
371 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
372 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
373 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
374 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
375 SCIRENDERER = @SCIRENDERER@
376 SCI_CFLAGS = @SCI_CFLAGS@
377 SCI_CXXFLAGS = @SCI_CXXFLAGS@
378 SCI_FFLAGS = @SCI_FFLAGS@
379 SCI_LDFLAGS = @SCI_LDFLAGS@
380 SED = @SED@
381 SET_MAKE = @SET_MAKE@
382 SET_RELOCATABLE = @SET_RELOCATABLE@
383 SHELL = @SHELL@
384 SKINLF = @SKINLF@
385 SPLINT = @SPLINT@
386 STRIP = @STRIP@
387 SWIG_BIN = @SWIG_BIN@
388 SWIG_JAVA = @SWIG_JAVA@
389 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
390 TCLTK_LIBS = @TCLTK_LIBS@
391 TCL_INC_PATH = @TCL_INC_PATH@
392 TK_INC_PATH = @TK_INC_PATH@
393 UMFPACK_ENABLE = @UMFPACK_ENABLE@
394 UMFPACK_LIB = @UMFPACK_LIB@
395 USE_NLS = @USE_NLS@
396 VERSION = @VERSION@
397 WITH_OCAML = @WITH_OCAML@
398 WITH_TKSCI = @WITH_TKSCI@
399 XCOS_ENABLE = @XCOS_ENABLE@
400 XGETTEXT = @XGETTEXT@
401 XGETTEXT_015 = @XGETTEXT_015@
402 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
403 XMKMF = @XMKMF@
404 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
405 XML_APIS_EXT = @XML_APIS_EXT@
406 XML_CONFIG = @XML_CONFIG@
407 XML_FLAGS = @XML_FLAGS@
408 XML_LIBS = @XML_LIBS@
409 XML_VERSION = @XML_VERSION@
410 X_CFLAGS = @X_CFLAGS@
411 X_EXTRA_LIBS = @X_EXTRA_LIBS@
412 X_LIBS = @X_LIBS@
413 X_PRE_LIBS = @X_PRE_LIBS@
414 abs_builddir = @abs_builddir@
415 abs_srcdir = @abs_srcdir@
416 abs_top_builddir = @abs_top_builddir@
417 abs_top_srcdir = @abs_top_srcdir@
418 ac_ct_CC = @ac_ct_CC@
419 ac_ct_CXX = @ac_ct_CXX@
420 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
421 ac_ct_F77 = @ac_ct_F77@
422 am__include = @am__include@
423 am__leading_dot = @am__leading_dot@
424 am__quote = @am__quote@
425 am__tar = @am__tar@
426 am__untar = @am__untar@
427 bindir = @bindir@
428 build = @build@
429 build_alias = @build_alias@
430 build_cpu = @build_cpu@
431 build_os = @build_os@
432 build_vendor = @build_vendor@
433 builddir = @builddir@
434 cxx_present = @cxx_present@
435 datadir = @datadir@
436 datarootdir = @datarootdir@
437 docdir = @docdir@
438 dvidir = @dvidir@
439 exec_prefix = @exec_prefix@
440 host = @host@
441 host_alias = @host_alias@
442 host_cpu = @host_cpu@
443 host_os = @host_os@
444 host_vendor = @host_vendor@
445 htmldir = @htmldir@
446 includedir = @includedir@
447 infodir = @infodir@
448 install_sh = @install_sh@
449 libdir = @libdir@
450 libexecdir = @libexecdir@
451 localedir = @localedir@
452 localstatedir = @localstatedir@
453 mandir = @mandir@
454 mkdir_p = @mkdir_p@
455 oldincludedir = @oldincludedir@
456 pdfdir = @pdfdir@
457 prefix = @prefix@
458 program_transform_name = @program_transform_name@
459 psdir = @psdir@
460 sbindir = @sbindir@
461 sharedstatedir = @sharedstatedir@
462 srcdir = @srcdir@
463 sysconfdir = @sysconfdir@
464 target_alias = @target_alias@
465 top_build_prefix = @top_build_prefix@
466 top_builddir = @top_builddir@
467 top_srcdir = @top_srcdir@
468 modulename = umfpack
469 pkglib_LTLIBRARIES = libsciumfpack.la
470 @UMFPACK_TRUE@noinst_LTLIBRARIES = libsciumfpack-algo.la
471 libsciumfpack_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_1) \
472         $(am__append_2)
473
474 #### umfpack : Conf files ####
475 libsciumfpack_la_rootdir = $(mydatadir)
476 libsciumfpack_la_root_DATA = \
477 license.txt \
478 TAUCS_license.txt \
479 UMFPACK_license.txt
480
481
482 #### umfpack : init scripts ####
483 libsciumfpack_la_etcdir = $(mydatadir)/etc
484 libsciumfpack_la_etc_DATA = etc/umfpack.quit etc/umfpack.start
485 @UMFPACK_FALSE@UMFPACK_C_SOURCES = src/noumfpack/noumfpack.c
486 @UMFPACK_TRUE@UMFPACK_C_SOURCES = src/c/taucs_scilab.c \
487 @UMFPACK_TRUE@src/c/common_umfpack.c \
488 @UMFPACK_TRUE@src/c/with_umfpack.c
489
490 @UMFPACK_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_umfpack.c \
491 @UMFPACK_TRUE@sci_gateway/c/sci_res_with_prec.c \
492 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chdel.c \
493 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chfact.c \
494 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chget.c \
495 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chinfo.c \
496 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chsolve.c \
497 @UMFPACK_TRUE@sci_gateway/c/sci_umf_ludel.c \
498 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lufact.c \
499 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luget.c \
500 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luinfo.c \
501 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lusolve.c \
502 @UMFPACK_TRUE@sci_gateway/c/sci_umfpack.c
503
504
505 #### umfpack : gateway declaration ####
506 @UMFPACK_TRUE@libsciumfpack_la_sci_gatewaydir = $(mydatadir)/sci_gateway
507 @UMFPACK_TRUE@libsciumfpack_la_sci_gateway_DATA = sci_gateway/umfpack_gateway.xml
508 @UMFPACK_TRUE@libsciumfpack_algo_la_SOURCES = $(UMFPACK_C_SOURCES)
509 @UMFPACK_FALSE@libsciumfpack_la_SOURCES = $(UMFPACK_C_SOURCES)
510 @UMFPACK_TRUE@libsciumfpack_la_SOURCES = $(GATEWAY_C_SOURCES)
511 @UMFPACK_TRUE@libsciumfpack_algo_la_CPPFLAGS = $(libsciumfpack_la_CPPFLAGS)
512
513 # For the code check (splint)
514 @UMFPACK_TRUE@CHECK_SRC = $(libsciumfpack_la_SOURCES)
515 @UMFPACK_TRUE@INCLUDE_FLAGS = $(libsciumfpack_la_CPPFLAGS)
516 @UMFPACK_TRUE@libsciumfpack_la_LIBADD = libsciumfpack-algo.la
517 @UMFPACK_FALSE@libsciumfpack_la_CPPFLAGS = -I$(top_srcdir)/modules/api_scilab/includes/ \
518 @UMFPACK_FALSE@-I$(top_srcdir)/modules/umfpack/includes/ \
519 @UMFPACK_FALSE@-I$(top_srcdir)/modules/output_stream/includes/ \
520 @UMFPACK_FALSE@-I$(top_srcdir)/modules/localization/includes/ \
521 @UMFPACK_FALSE@$(AM_CPPFLAGS)
522
523 @UMFPACK_TRUE@libsciumfpack_la_CPPFLAGS = -I$(srcdir)/includes/ \
524 @UMFPACK_TRUE@                  -I$(srcdir)/src/c/ \
525 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/dynamic_link/includes/ \
526 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/output_stream/includes/ \
527 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/api_scilab/includes/ \
528 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/localization/includes/ \
529 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/mexlib/includes/ \
530 @UMFPACK_TRUE@                  $(AM_CPPFLAGS)
531
532
533 # Where all the Scilab stuff is installed (macros, help, ...)
534 mydatadir = $(pkgdatadir)/modules/$(modulename)
535
536 # Set AM_* SCI detected settings
537 AM_CPPFLAGS = $(SCI_CPPFLAGS)
538 AM_CFLAGS = $(SCI_CFLAGS)
539 AM_CXXFLAGS = $(SCI_CXXFLAGS)
540 # append includes to AM_FFLAGS to manage fortran includes
541 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
542
543 # Tag shared libraries with the Scilab version
544 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
545
546 # splint options
547 SPLINT_OPTIONS = -weak -booltype BOOL
548
549 ########################### JAVA ######################################
550 #### We are delegating java compilation to ant... Thanks to that
551 #### the procedure will be the same with Microsoft Windows (C)
552 #### and Linux/Unix
553 #######################################################################
554 TARGETS_ALL = $(am__append_3)
555
556 ################ MACROS ######################
557 # Rule to build a macro
558 # NOT USED  AT THE MOMENT
559 SUFFIXES = .sci 
560
561 ########### INSTALL DOCUMENTATION ###################
562
563 # Install documentation files into the right target
564 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
565 # automake needs the html files to be present which is not the case when
566 # we are building Scilab
567
568 # Where it should be installed
569 pkgdocdir = $(mydatadir)
570
571 # What is the mask of the help source
572 DOCMASKXML = *.xml
573
574 # What is the mask of the MathML sources
575 DOCMASKMML = *.mml
576
577 ########### INSTALL DATA ###################
578 # Install macros, help & demos
579 # Where it should be installed
580 pkgmacrosdir = $(mydatadir)
581 # Which directory we process
582 MACRODIRS = macros/
583 # Mask of the Scilab sources macros
584 MACROMASK = *.sci
585 # Mask of the Scilab executable sources macros
586 MACROBUILDMASK = *.sce
587 # Mask of the Scilab compiled macros
588 MACROBINMASK = *.bin
589 # List of the standard directory for tests
590 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
591 # Where the demos should be installed
592 pkgdemosdir = $(mydatadir)
593 # List of the standard directory for demos
594 DEMOS_DIR = demos
595 # List of the standard directory for examples
596 EXAMPLES_DIR = examples
597 # Where to export JAVA archives (.jar)
598 JARDIR = jar/
599 # JAR files mask
600 JARMASK = *.jar
601 # Chapter file 
602 HELP_CHAPTERDIR = help/
603 HELP_CHAPTERFILE = addchapter.sce
604 HELP_CHAPTERLANG = en_US fr_FR pt_BR
605 all: all-am
606
607 .SUFFIXES:
608 .SUFFIXES: .sci .bin .c .lo .o .obj
609 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
610         @for dep in $?; do \
611           case '$(am__configure_deps)' in \
612             *$$dep*) \
613               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
614                 && { if test -f $@; then exit 0; else break; fi; }; \
615               exit 1;; \
616           esac; \
617         done; \
618         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/umfpack/Makefile'; \
619         $(am__cd) $(top_srcdir) && \
620           $(AUTOMAKE) --foreign modules/umfpack/Makefile
621 .PRECIOUS: Makefile
622 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
623         @case '$?' in \
624           *config.status*) \
625             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
626           *) \
627             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
628             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
629         esac;
630 $(top_srcdir)/Makefile.incl.am:
631
632 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
633         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
634
635 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
636         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
637 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
638         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
639 $(am__aclocal_m4_deps):
640
641 clean-noinstLTLIBRARIES:
642         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
643         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
644           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
645           test "$$dir" != "$$p" || dir=.; \
646           echo "rm -f \"$${dir}/so_locations\""; \
647           rm -f "$${dir}/so_locations"; \
648         done
649 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
650         @$(NORMAL_INSTALL)
651         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
652         list2=; for p in $$list; do \
653           if test -f $$p; then \
654             list2="$$list2 $$p"; \
655           else :; fi; \
656         done; \
657         test -z "$$list2" || { \
658           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
659           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
660           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
661           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
662         }
663
664 uninstall-pkglibLTLIBRARIES:
665         @$(NORMAL_UNINSTALL)
666         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
667         for p in $$list; do \
668           $(am__strip_dir) \
669           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
670           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
671         done
672
673 clean-pkglibLTLIBRARIES:
674         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
675         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
676           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
677           test "$$dir" != "$$p" || dir=.; \
678           echo "rm -f \"$${dir}/so_locations\""; \
679           rm -f "$${dir}/so_locations"; \
680         done
681 libsciumfpack-algo.la: $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_DEPENDENCIES) $(EXTRA_libsciumfpack_algo_la_DEPENDENCIES) 
682         $(LINK) $(am_libsciumfpack_algo_la_rpath) $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_LIBADD) $(LIBS)
683 libsciumfpack.la: $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_DEPENDENCIES) $(EXTRA_libsciumfpack_la_DEPENDENCIES) 
684         $(libsciumfpack_la_LINK) -rpath $(pkglibdir) $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_LIBADD) $(LIBS)
685
686 mostlyclean-compile:
687         -rm -f *.$(OBJEXT)
688
689 distclean-compile:
690         -rm -f *.tab.c
691
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo@am__quote@
695 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo@am__quote@
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-common_umfpack.Plo@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-noumfpack.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo@am__quote@
710 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo@am__quote@
711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo@am__quote@
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciumfpack_la-with_umfpack.Plo@am__quote@
713
714 .c.o:
715 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
716 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
720
721 .c.obj:
722 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
723 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
727
728 .c.lo:
729 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
734
735 libsciumfpack_algo_la-noumfpack.lo: src/noumfpack/noumfpack.c
736 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_algo_la-noumfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo -c -o libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
737 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo $(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noumfpack/noumfpack.c' object='libsciumfpack_algo_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
741
742 libsciumfpack_algo_la-taucs_scilab.lo: src/c/taucs_scilab.c
743 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_algo_la-taucs_scilab.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo -c -o libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
744 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo $(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/taucs_scilab.c' object='libsciumfpack_algo_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
748
749 libsciumfpack_algo_la-common_umfpack.lo: src/c/common_umfpack.c
750 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_algo_la-common_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo -c -o libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
751 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo $(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/common_umfpack.c' object='libsciumfpack_algo_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
755
756 libsciumfpack_algo_la-with_umfpack.lo: src/c/with_umfpack.c
757 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_algo_la-with_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo -c -o libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
758 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo $(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/with_umfpack.c' object='libsciumfpack_algo_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
762
763 libsciumfpack_la-noumfpack.lo: src/noumfpack/noumfpack.c
764 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-noumfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-noumfpack.Tpo -c -o libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
765 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-noumfpack.Tpo $(DEPDIR)/libsciumfpack_la-noumfpack.Plo
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noumfpack/noumfpack.c' object='libsciumfpack_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
769
770 libsciumfpack_la-taucs_scilab.lo: src/c/taucs_scilab.c
771 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-taucs_scilab.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo -c -o libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
772 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo $(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/taucs_scilab.c' object='libsciumfpack_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
776
777 libsciumfpack_la-common_umfpack.lo: src/c/common_umfpack.c
778 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-common_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo -c -o libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
779 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo $(DEPDIR)/libsciumfpack_la-common_umfpack.Plo
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/common_umfpack.c' object='libsciumfpack_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
783
784 libsciumfpack_la-with_umfpack.lo: src/c/with_umfpack.c
785 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-with_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo -c -o libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
786 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo $(DEPDIR)/libsciumfpack_la-with_umfpack.Plo
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/with_umfpack.c' object='libsciumfpack_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
790
791 libsciumfpack_la-gw_umfpack.lo: sci_gateway/c/gw_umfpack.c
792 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-gw_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo -c -o libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
793 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo $(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_umfpack.c' object='libsciumfpack_la-gw_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
797
798 libsciumfpack_la-sci_res_with_prec.lo: sci_gateway/c/sci_res_with_prec.c
799 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_res_with_prec.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo -c -o libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
800 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo $(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_res_with_prec.c' object='libsciumfpack_la-sci_res_with_prec.lo' libtool=yes @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
804
805 libsciumfpack_la-sci_taucs_chdel.lo: sci_gateway/c/sci_taucs_chdel.c
806 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_taucs_chdel.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo -c -o libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
807 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo $(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_taucs_chdel.c' object='libsciumfpack_la-sci_taucs_chdel.lo' libtool=yes @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
811
812 libsciumfpack_la-sci_taucs_chfact.lo: sci_gateway/c/sci_taucs_chfact.c
813 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_taucs_chfact.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo -c -o libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
814 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo $(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_taucs_chfact.c' object='libsciumfpack_la-sci_taucs_chfact.lo' libtool=yes @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
818
819 libsciumfpack_la-sci_taucs_chget.lo: sci_gateway/c/sci_taucs_chget.c
820 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_taucs_chget.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo -c -o libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
821 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo $(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_taucs_chget.c' object='libsciumfpack_la-sci_taucs_chget.lo' libtool=yes @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
825
826 libsciumfpack_la-sci_taucs_chinfo.lo: sci_gateway/c/sci_taucs_chinfo.c
827 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_taucs_chinfo.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo -c -o libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
828 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo $(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_taucs_chinfo.c' object='libsciumfpack_la-sci_taucs_chinfo.lo' libtool=yes @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
832
833 libsciumfpack_la-sci_taucs_chsolve.lo: sci_gateway/c/sci_taucs_chsolve.c
834 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_taucs_chsolve.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo -c -o libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
835 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo $(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_taucs_chsolve.c' object='libsciumfpack_la-sci_taucs_chsolve.lo' libtool=yes @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
839
840 libsciumfpack_la-sci_umf_ludel.lo: sci_gateway/c/sci_umf_ludel.c
841 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umf_ludel.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo -c -o libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
842 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo $(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umf_ludel.c' object='libsciumfpack_la-sci_umf_ludel.lo' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
846
847 libsciumfpack_la-sci_umf_lufact.lo: sci_gateway/c/sci_umf_lufact.c
848 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umf_lufact.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo -c -o libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
849 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo $(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umf_lufact.c' object='libsciumfpack_la-sci_umf_lufact.lo' libtool=yes @AMDEPBACKSLASH@
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
853
854 libsciumfpack_la-sci_umf_luget.lo: sci_gateway/c/sci_umf_luget.c
855 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umf_luget.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo -c -o libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
856 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo $(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umf_luget.c' object='libsciumfpack_la-sci_umf_luget.lo' libtool=yes @AMDEPBACKSLASH@
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
860
861 libsciumfpack_la-sci_umf_luinfo.lo: sci_gateway/c/sci_umf_luinfo.c
862 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umf_luinfo.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo -c -o libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
863 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo $(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo
864 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umf_luinfo.c' object='libsciumfpack_la-sci_umf_luinfo.lo' libtool=yes @AMDEPBACKSLASH@
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
867
868 libsciumfpack_la-sci_umf_lusolve.lo: sci_gateway/c/sci_umf_lusolve.c
869 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umf_lusolve.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo -c -o libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
870 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo $(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo
871 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umf_lusolve.c' object='libsciumfpack_la-sci_umf_lusolve.lo' libtool=yes @AMDEPBACKSLASH@
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
873 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
874
875 libsciumfpack_la-sci_umfpack.lo: sci_gateway/c/sci_umfpack.c
876 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciumfpack_la-sci_umfpack.lo -MD -MP -MF $(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo -c -o libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
877 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo $(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo
878 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_umfpack.c' object='libsciumfpack_la-sci_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
881
882 mostlyclean-libtool:
883         -rm -f *.lo
884
885 clean-libtool:
886         -rm -rf .libs _libs
887 install-libsciumfpack_la_etcDATA: $(libsciumfpack_la_etc_DATA)
888         @$(NORMAL_INSTALL)
889         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
890         if test -n "$$list"; then \
891           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
892           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit 1; \
893         fi; \
894         for p in $$list; do \
895           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
896           echo "$$d$$p"; \
897         done | $(am__base_list) | \
898         while read files; do \
899           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
900           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit $$?; \
901         done
902
903 uninstall-libsciumfpack_la_etcDATA:
904         @$(NORMAL_UNINSTALL)
905         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
906         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
907         dir='$(DESTDIR)$(libsciumfpack_la_etcdir)'; $(am__uninstall_files_from_dir)
908 install-libsciumfpack_la_rootDATA: $(libsciumfpack_la_root_DATA)
909         @$(NORMAL_INSTALL)
910         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
911         if test -n "$$list"; then \
912           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
913           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit 1; \
914         fi; \
915         for p in $$list; do \
916           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
917           echo "$$d$$p"; \
918         done | $(am__base_list) | \
919         while read files; do \
920           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
921           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit $$?; \
922         done
923
924 uninstall-libsciumfpack_la_rootDATA:
925         @$(NORMAL_UNINSTALL)
926         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
927         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
928         dir='$(DESTDIR)$(libsciumfpack_la_rootdir)'; $(am__uninstall_files_from_dir)
929 install-libsciumfpack_la_sci_gatewayDATA: $(libsciumfpack_la_sci_gateway_DATA)
930         @$(NORMAL_INSTALL)
931         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
932         if test -n "$$list"; then \
933           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
934           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit 1; \
935         fi; \
936         for p in $$list; do \
937           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
938           echo "$$d$$p"; \
939         done | $(am__base_list) | \
940         while read files; do \
941           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
942           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit $$?; \
943         done
944
945 uninstall-libsciumfpack_la_sci_gatewayDATA:
946         @$(NORMAL_UNINSTALL)
947         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
948         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
949         dir='$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
950
951 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
952         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
953         unique=`for i in $$list; do \
954             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
955           done | \
956           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
957               END { if (nonempty) { for (i in files) print i; }; }'`; \
958         mkid -fID $$unique
959 tags: TAGS
960
961 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
962                 $(TAGS_FILES) $(LISP)
963         set x; \
964         here=`pwd`; \
965         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
966         unique=`for i in $$list; do \
967             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
968           done | \
969           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
970               END { if (nonempty) { for (i in files) print i; }; }'`; \
971         shift; \
972         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
973           test -n "$$unique" || unique=$$empty_fix; \
974           if test $$# -gt 0; then \
975             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
976               "$$@" $$unique; \
977           else \
978             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
979               $$unique; \
980           fi; \
981         fi
982 ctags: CTAGS
983 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
984                 $(TAGS_FILES) $(LISP)
985         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
986         unique=`for i in $$list; do \
987             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
988           done | \
989           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
990               END { if (nonempty) { for (i in files) print i; }; }'`; \
991         test -z "$(CTAGS_ARGS)$$unique" \
992           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
993              $$unique
994
995 GTAGS:
996         here=`$(am__cd) $(top_builddir) && pwd` \
997           && $(am__cd) $(top_srcdir) \
998           && gtags -i $(GTAGS_ARGS) "$$here"
999
1000 distclean-tags:
1001         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1002
1003 distdir: $(DISTFILES)
1004         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1005         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1006         list='$(DISTFILES)'; \
1007           dist_files=`for file in $$list; do echo $$file; done | \
1008           sed -e "s|^$$srcdirstrip/||;t" \
1009               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1010         case $$dist_files in \
1011           */*) $(MKDIR_P) `echo "$$dist_files" | \
1012                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1013                            sort -u` ;; \
1014         esac; \
1015         for file in $$dist_files; do \
1016           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1017           if test -d $$d/$$file; then \
1018             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1019             if test -d "$(distdir)/$$file"; then \
1020               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1021             fi; \
1022             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1023               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1024               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1025             fi; \
1026             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1027           else \
1028             test -f "$(distdir)/$$file" \
1029             || cp -p $$d/$$file "$(distdir)/$$file" \
1030             || exit 1; \
1031           fi; \
1032         done
1033 check-am: all-am
1034         $(MAKE) $(AM_MAKEFLAGS) check-local
1035 check: check-am
1036 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1037 installdirs:
1038         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciumfpack_la_etcdir)" "$(DESTDIR)$(libsciumfpack_la_rootdir)" "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"; do \
1039           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1040         done
1041 install: install-am
1042 install-exec: install-exec-am
1043 install-data: install-data-am
1044 uninstall: uninstall-am
1045
1046 install-am: all-am
1047         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1048
1049 installcheck: installcheck-am
1050 install-strip:
1051         if test -z '$(STRIP)'; then \
1052           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1053             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1054               install; \
1055         else \
1056           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1057             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1058             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1059         fi
1060 mostlyclean-generic:
1061
1062 clean-generic:
1063
1064 distclean-generic:
1065         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1066         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1067
1068 maintainer-clean-generic:
1069         @echo "This command is intended for maintainers to use"
1070         @echo "it deletes files that may require special tools to rebuild."
1071 clean: clean-am
1072
1073 clean-am: clean-generic clean-libtool clean-local \
1074         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1075
1076 distclean: distclean-am
1077         -rm -rf ./$(DEPDIR)
1078         -rm -f Makefile
1079 distclean-am: clean-am distclean-compile distclean-generic \
1080         distclean-local distclean-tags
1081
1082 dvi: dvi-am
1083
1084 dvi-am:
1085
1086 html: html-am
1087
1088 html-am:
1089
1090 info: info-am
1091
1092 info-am:
1093
1094 install-data-am: install-data-local install-libsciumfpack_la_etcDATA \
1095         install-libsciumfpack_la_rootDATA \
1096         install-libsciumfpack_la_sci_gatewayDATA
1097
1098 install-dvi: install-dvi-am
1099
1100 install-dvi-am:
1101
1102 install-exec-am: install-pkglibLTLIBRARIES
1103
1104 install-html: install-html-am
1105
1106 install-html-am: install-html-local
1107
1108 install-info: install-info-am
1109
1110 install-info-am:
1111
1112 install-man:
1113
1114 install-pdf: install-pdf-am
1115
1116 install-pdf-am:
1117
1118 install-ps: install-ps-am
1119
1120 install-ps-am:
1121
1122 installcheck-am:
1123
1124 maintainer-clean: maintainer-clean-am
1125         -rm -rf ./$(DEPDIR)
1126         -rm -f Makefile
1127 maintainer-clean-am: distclean-am maintainer-clean-generic
1128
1129 mostlyclean: mostlyclean-am
1130
1131 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1132         mostlyclean-libtool
1133
1134 pdf: pdf-am
1135
1136 pdf-am:
1137
1138 ps: ps-am
1139
1140 ps-am:
1141
1142 uninstall-am: uninstall-libsciumfpack_la_etcDATA \
1143         uninstall-libsciumfpack_la_rootDATA \
1144         uninstall-libsciumfpack_la_sci_gatewayDATA \
1145         uninstall-pkglibLTLIBRARIES
1146
1147 .MAKE: check-am install-am install-strip
1148
1149 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1150         clean clean-generic clean-libtool clean-local \
1151         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1152         distclean distclean-compile distclean-generic \
1153         distclean-libtool distclean-local distclean-tags distdir dvi \
1154         dvi-am html html-am info info-am install install-am \
1155         install-data install-data-am install-data-local install-dvi \
1156         install-dvi-am install-exec install-exec-am install-html \
1157         install-html-am install-html-local install-info \
1158         install-info-am install-libsciumfpack_la_etcDATA \
1159         install-libsciumfpack_la_rootDATA \
1160         install-libsciumfpack_la_sci_gatewayDATA install-man \
1161         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1162         install-ps install-ps-am install-strip installcheck \
1163         installcheck-am installdirs maintainer-clean \
1164         maintainer-clean-generic mostlyclean mostlyclean-compile \
1165         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1166         tags uninstall uninstall-am uninstall-libsciumfpack_la_etcDATA \
1167         uninstall-libsciumfpack_la_rootDATA \
1168         uninstall-libsciumfpack_la_sci_gatewayDATA \
1169         uninstall-pkglibLTLIBRARIES
1170
1171
1172 # This target enables tests for Scilab
1173 check-local: $(top_builddir)/scilab-bin test
1174         if test -d $(mydatadir)/tests; then \
1175           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1176         fi
1177 check-code:
1178         if test -f build.xml; then \
1179                 $(ANT) checkstyle; \
1180         fi
1181         if test -x "$(SPLINT)"; then \
1182                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1183         fi
1184 @NEED_JAVA_TRUE@java:
1185 # Some configurations needs to export JAVA_HOME in the current env
1186 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1187 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1188 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1189 @NEED_JAVA_TRUE@                $(ANT); \
1190 @NEED_JAVA_TRUE@        fi
1191
1192 @NEED_JAVA_TRUE@clean-java:
1193 # Some configurations needs to export JAVA_HOME in the current env
1194 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1195 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1196 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1197 @NEED_JAVA_TRUE@                $(ANT) clean; \
1198 @NEED_JAVA_TRUE@        fi;
1199
1200 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1201 # We call the target swig-build on the variable SWIG_WRAPPERS
1202
1203 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1204 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1205 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1206 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1207 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1208 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1209 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1210 @SWIG_TRUE@             done; \
1211 @SWIG_TRUE@     fi
1212
1213 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1214 # We call the target swig-build on the variable SWIG_WRAPPERS
1215
1216 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1217 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1218 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1219 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1220 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1221 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1222 @GIWS_TRUE@             done; \
1223 @GIWS_TRUE@     fi
1224
1225 @GIWS_TRUE@giws-exception:
1226 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1227 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1228 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1229
1230 macros:
1231         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1232                 echo "Error : Cannot build $< : Scilab has not been built"; \
1233         else \
1234                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1235         fi)
1236
1237 # Removes the macros
1238 clean-macros:
1239 # Removes macros (*.bin generated from .sci)
1240         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1241                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1242                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1243         done
1244
1245 test:
1246 # More tests could be added here
1247         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1248         if test -f build.xml -a $$USEANT -eq 1; then \
1249                 $(ANT) test; \
1250         fi
1251
1252 all-local: $(TARGETS_ALL)
1253
1254 .sci.bin:
1255         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1256         echo "Error : Cannot build $< : Scilab has not been build"; \
1257         else \
1258         echo "Creating $@"; \
1259         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1260         fi )
1261
1262 install-html-local:
1263
1264 install-data-local-local:
1265 # Mainly for javasci
1266         @if test -d $(srcdir)/javadoc; then \
1267                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1268         fi
1269 # If the user wants the help sources to be installed
1270 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1271 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1272 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1273 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1274 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1275 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1276 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1277 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1278 @INSTALL_HELP_XML_TRUE@           done ; \
1279 @INSTALL_HELP_XML_TRUE@         fi; \
1280 @INSTALL_HELP_XML_TRUE@  fi; \
1281 @INSTALL_HELP_XML_TRUE@ done; \
1282 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1283 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1284 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1285 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1286 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1287 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1288 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1289 @INSTALL_HELP_XML_TRUE@           done ; \
1290 @INSTALL_HELP_XML_TRUE@         fi; \
1291 @INSTALL_HELP_XML_TRUE@ fi
1292 install-data-local:
1293 # Install the tests
1294         @echo "-------- Install tests (if any) --------"; \
1295         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1296           if test -d $(srcdir)/$$dir/; then \
1297             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1298                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1299                     if test -d "$(srcdir)/$$dir/$$file"; then \
1300                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1301                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1302                     else \
1303                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1304                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1305                     fi \
1306                   done; \
1307           fi; \
1308         done
1309 # Install the help chapter
1310         @echo "-------- Install the help chapter (if any) --------"; \
1311         for lang in $(HELP_CHAPTERLANG); do \
1312                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1313                 if test -f $$HELPFILE; then \
1314                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1315                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1316                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1317                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1318                 fi; \
1319         done
1320 # Install the demos & examples
1321         @echo "-------- Install demos & examples (if any) --------"; \
1322         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1323           if test -d $(srcdir)/$$dir/; then \
1324             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1325                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1326                     if test -d "$(srcdir)/$$dir/$$file"; then \
1327                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1328                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1329                     else \
1330                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1331                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1332                     fi \
1333                   done; \
1334           fi; \
1335         done
1336 # Install the macros
1337         @echo "-------- Install macros (if any) --------"; \
1338         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1339           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1340                 if test -d $(srcdir)/$$dir/; then \
1341                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1342                         if test -n "$(MACROSSPECIALEXT)"; then \
1343                                 specialExtDir=""; \
1344                                 for specialExt in $(MACROSSPECIALEXT); do \
1345                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1346                                 done; \
1347                                 FILELIST="$$FILELIST $$specialExtDir"; \
1348                         fi; \
1349                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1350                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1351                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1352                   done; \
1353                 fi; \
1354         done
1355 # Install java files (.jar)
1356         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1357         echo "-------- Install jar files --------"; \
1358     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1359           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1360                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1361                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1362           done ; \
1363         fi
1364
1365 ########### CLEAN ###################
1366 # Clean help (generated automatically by Scilab)
1367 # It used to clean the macro (clean-macros) but this was causing
1368 # make clean && make to fail Scilab startup
1369 @NEED_JAVA_TRUE@clean-local: clean-java
1370 @NEED_JAVA_FALSE@clean-local:
1371
1372 distclean-local:
1373         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1374
1375 .PHONY: macros java swig giws
1376
1377 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1378 # Otherwise a system limit (for SysV at least) may be exceeded.
1379 .NOEXPORT: